diff -urN u-boot-0.4.8.orig/include/elf.h u-boot-0.4.8/include/elf.h
--- u-boot-0.4.8.orig/include/elf.h	2003-06-27 23:32:40.000000000 +0200
+++ u-boot-0.4.8/include/elf.h	2003-09-16 14:42:52.000000000 +0200
@@ -43,13 +43,6 @@
 #include <stdint.h>
 #endif
 
-#ifdef __CYGWIN__
-#include <sys/types.h>
-typedef unsigned long int uint32_t;
-typedef unsigned short    uint16_t;
-typedef unsigned char     uint8_t;
-#endif /* __CYGWIN__ */
-
 /*
  *  This version doesn't work for 64-bit ABIs - Erik.
  */
diff -urN u-boot-0.4.8.orig/include/image.h u-boot-0.4.8/include/image.h
--- u-boot-0.4.8.orig/include/image.h	2003-07-25 01:39:09.000000000 +0200
+++ u-boot-0.4.8/include/image.h	2003-09-16 14:43:08.000000000 +0200
@@ -123,11 +123,6 @@
 #define IH_MAGIC	0x27051956	/* Image Magic Number		*/
 #define IH_NMLEN		32	/* Image Name Length		*/
 
-#ifdef __CYGWIN__
-typedef unsigned long uint32_t;
-typedef unsigned char uint8_t;
-#endif /* __CYGWIN__ */
-
 /*
  * all data in network byte order (aka natural aka bigendian)
  */
diff -urN u-boot-0.4-cvs/tools/mkimage.c u-boot-0.4.8/tools/mkimage.c
--- u-boot-0.4-cvs/tools/mkimage.c	2003-09-18 15:08:49.000000000 +0200
+++ u-boot-0.4.8/tools/mkimage.c	2003-09-18 15:02:36.000000000 +0200
@@ -267,7 +267,7 @@
 	imagefile = *argv;
 
 	if (lflag) {
-		ifd = open(imagefile, O_RDONLY);
+		ifd = open(imagefile, O_RDONLY|O_BINARY);
 	} else {
 		ifd = open(imagefile, O_RDWR|O_CREAT|O_TRUNC|O_BINARY, 0666);
 	}
@@ -501,7 +501,7 @@
 		fprintf (stderr, "Adding Image %s\n", datafile);
 	}
 
-	if ((dfd = open(datafile, O_RDONLY)) < 0) {
+	if ((dfd = open(datafile, O_RDONLY|O_BINARY)) < 0) {
 		fprintf (stderr, "%s: Can't open %s: %s\n",
 			cmdname, datafile, strerror(errno));
 		exit (EXIT_FAILURE);
